Bug 17899 - Show only mine does not work in newordersuggestion.pl
Summary: Show only mine does not work in newordersuggestion.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 12775
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-13 15:07 UTC by Fridolin SOMERS
Modified: 2017-01-27 03:49 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17899 - Show only mine does not work in newordersuggestion.pl (2.04 KB, patch)
2017-01-13 15:16 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 17899 - Show only mine does not work in newordersuggestion.pl (2.10 KB, patch)
2017-01-18 02:54 UTC, Zoe Schoeler
Details | Diff | Splinter Review
Bug 17899 - Show only mine does not work in newordersuggestion.pl (2.16 KB, patch)
2017-01-19 14:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2017-01-13 15:07:55 UTC
Bug 12775 added a link "Show only mine" in newordersuggestion.pl.
This does not work, no results.
Comment 1 Fridolin SOMERS 2017-01-13 15:16:48 UTC
Created attachment 58957 [details] [review]
Bug 17899 - Show only mine does not work in newordersuggestion.pl

Bug 12775 added a link "Show only mine" in newordersuggestion.pl.
This does not work, no results.

Also corrects the fact that click must not do default action by adding e.preventDefault().

Test plan :
- You must have suggestions you have accepted
- Create a new order from suggestion : /cgi-bin/koha/acqui/newordersuggestion.pl
- Click on Show only mine
=> Without patch the table is empty showing "No matching records found"
=> With patch you see only suggestions you have accpeted
Comment 2 Zoe Schoeler 2017-01-18 02:54:56 UTC
Created attachment 59136 [details] [review]
Bug 17899 - Show only mine does not work in newordersuggestion.pl

Bug 12775 added a link "Show only mine" in newordersuggestion.pl.
This does not work, no results.

Also corrects the fact that click must not do default action by adding e.preventDefault().

Test plan :
- You must have suggestions you have accepted
- Create a new order from suggestion : /cgi-bin/koha/acqui/newordersuggestion.pl
- Click on Show only mine
=> Without patch the table is empty showing "No matching records found"
=> With patch you see only suggestions you have accpeted

Signed-off-by: Zoe Schoeler <crazy.mental.onion@gmail.com>
Comment 3 Jonathan Druart 2017-01-19 14:08:24 UTC
Created attachment 59251 [details] [review]
Bug 17899 - Show only mine does not work in newordersuggestion.pl

Bug 12775 added a link "Show only mine" in newordersuggestion.pl.
This does not work, no results.

Also corrects the fact that click must not do default action by adding e.preventDefault().

Test plan :
- You must have suggestions you have accepted
- Create a new order from suggestion : /cgi-bin/koha/acqui/newordersuggestion.pl
- Click on Show only mine
=> Without patch the table is empty showing "No matching records found"
=> With patch you see only suggestions you have accpeted

Signed-off-by: Zoe Schoeler <crazy.mental.onion@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Jonathan Druart 2017-01-19 14:10:55 UTC
I am sure the link used to work. I don't know for how long it has been broken.
Comment 5 Kyle M Hall 2017-01-20 14:09:59 UTC
Pushed to master for 17.05, thanks Frido!
Comment 6 Katrin Fischer 2017-01-22 20:25:24 UTC
This definitely works better than before, but there is an oddness.

For testing this, I set 'acceptedby' to another use. This made no difference.
I had to change 'managedby' as well, then it worked.
It appears that the 'order by suggestion' page uses managedby instead of acceptedby for determining if you can see the suggestion?

Anyway, improvement!
This patch has been pushed to 16.11.x and will be in 16.11.02.
Comment 7 Mason James 2017-01-27 03:49:46 UTC
Pushed to 16.05.x, for 16.05.08 release